var PG = PG || {};

// ※表示タイトル
PG.title = "北海道おさかなレシピ";

// ※プロパティの設定
PG.property = {
	image : "photo",
	label : "menu",
	detail : "design",
	recipe1 : "recipe_1",
	recipe2 : "recipe_2",
	recipe3 : "recipe_3",
	recipe4 : "recipe_4",
	recipe5 : "recipe_5",
	recipe6 : "recipe_6"
}

window.onload = function() {
	var list = "";
	$("#container").prepend("<h3>" + PG.title + "</h3>");
	// 指定されたworkを全件取得
	$.each(LinkData.getWorks(), function(workKey, workValue) {
		// workに含まれるfileを全件取得
		var propUri = stringToUri(PG.property, workValue);
		$.each(LinkData.getFiles(workValue), function(fileKey, fileValue) {
			// subjectを全件取得
			$.each(LinkData.getSubjects(workValue, fileValue), function(subjKey, subjValue) {
				var image = "";
				var label = "";
				var detail = "";
				var recipe1 = "";
				var recipe2 = "";
				var recipe3 = "";
				var recipe4 = "";
				var recipe5 = "";
				var recipe6 = "";
				var str = "";
				$.each( LinkData.getTriplesBySubject(workValue, fileValue, subjValue), function( tripleKey, tripleValue ) {
					var prop = tripleValue.property;
					var obj = tripleValue.object;
					if ( prop == propUri.image )  image = obj;
					else if ( prop == propUri.label ) label = obj;
					else if ( prop == propUri.detail ) detail = obj;
					else if ( prop == propUri.recipe1 ) recipe1 = "(1)" + obj;
					else if ( prop == propUri.recipe2 ) recipe2 = "(2)" + obj;
					else if ( prop == propUri.recipe3 ) recipe3 = "(3)" + obj;
					else if ( prop == propUri.recipe4 ) recipe4 = "(4)" + obj;
					else if ( prop == propUri.recipe5 ) recipe5 = "(5)" + obj;
					else if ( prop == propUri.recipe6 ) recipe6 = "(6)" + obj;
				});
				str += "<li class=\"flipImage\"><div class=\"front\"><a href='#'><img src=\"" + image + "\" alt=\"image\"/></a></div><div class=\"back\"><p class=\"label\">" + label + "<p class=\"detail\">" + detail  + "</p>" + recipe1 + "<br>" + recipe2 + "<br>" + recipe3 + "<br>" + recipe4 + "<br>" + recipe5 + "<br>" + recipe6 + "</div></li>"
				list += str;
			});
		});
	});
	$("#result").append( list );
	
	// 画像を正方形にトリミング
	$(".front").imgLiquid();
	
	// 画像が読み込めなかった時の処理
	$("img").error(function(){
		$(this).before("No Image");
	});
	
	$( 'a' )
	  .bind( 'touchstart', function(){
 	   $( this ).addClass( 'hover' );
	}).bind( 'touchend', function(){
	    $( this ).removeClass( 'hover' );
	});
};

function stringToUri (p, workId) {
	$.each (p, function(propKey, propVal){
		if(propVal.indexOf("http") != 0){
			p[propKey] = "http://linkdata.org/property/" + workId + "#" + encodeURIComponent(propVal);
		}
	})
	return p;
}
